This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 927898 - AttributeError: 'Builder' object has no attribute 'get_widget'
AttributeError: 'Builder' object has no attribute 'get_widget'
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora19rtt
  Show dependency treegraph
 
Reported: 2013-03-26 09:06 EDT by Jan Stodola
Modified: 2013-05-08 10:29 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-08 10:29:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
anaconda-tb (1.20 MB, text/plain)
2013-03-26 09:06 EDT, Jan Stodola
no flags Details

  None (edit)
Description Jan Stodola 2013-03-26 09:06:14 EDT
Description of problem:
anaconda 19.13 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/user.py", line 114, in run
    self._user.gid = int(self.builder.get_widget("gid").get_value())
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/user.py", line 422, in on_advanced_clicked
    response = self._advanced.run()
AttributeError: 'Builder' object has no attribute 'get_widget'

Version-Release number of selected component (if applicable):
F19-Alpha-TC2
anaconda-19.13

How reproducible:
always

Steps to Reproduce:
1. start graphical installation
2. configure partitioning/packages
3. begin with the installation
4. go to the User Creation spoke
5. click on the "Advanced..." button
6. check "Specify a group ID manually:"
7. click "Save Changes"
  
Actual results:
traceback

Expected results:
no traceback

Additional info:
This cannot be reproduced if I try the same steps, but check "Specify a user ID manually:"
Comment 1 Jan Stodola 2013-03-26 09:06:52 EDT
Created attachment 716512 [details]
anaconda-tb

Note You need to log in before you can comment on or make changes to this bug.